#include <stdio.h>

int main()
{
    char n[100000],ch='0';
    int xd=0,brc,brn=0,min=100000;
    while(ch!='\n')
    {
        ch=getchar();
        n[xd]=ch;
        xd++;
    }
    brc=xd-1;
    for(int i=brc;i>=0;i--)
    {
        printf("%d",n[i]);
    }
    return 0;
}